Subject: Re: [Help with toolchain]

From: Michael Slater <[email-masked]>
Date: Fri, 21 Jul 2000 04:35:16 -0400 (EDT)

Hi Hugues,

Here are the steps ;

Libtermcap :

 1) mkdir tmp 
 2) do rpm2cpio filename | ( cd tmp && cpio -id)
     
    filename - downloaded libterm rpm file.

 3)cd tmp.

  There will ba tar.gz file and some patches .

   extract tar ball and apply all the patches to it.

 now change the Makefile ..

  CC = arm-linux-gcc
  AR = arm-linux-ar

  make .

  You will get the .so file for libterm compiled for ARM.Just include this in your lib directory for ARM.

Ncurses ;

 For ncurses follow the above stuff but you have to do the patch*.sh in the extracted ncurses directory which patches all the files .
  later apply the all the patches present.

 Then do 
  ./configure --with-shared 

   for enabling shared lib support.creates libncurses.so else it will create libcurses.a

 Then change the Makefile and replace all gcc,ld,ar with your arm-linux equivalents...also select the directory in which you want to install....That is the prefix in the Makefile .
   Default is set to usr.......
   Meaning your library will be installed in usr/lib......

  Try this and let me know how you fare

bye
Anand
 
------Original Message------
From: Hugues Belanger <[email-masked]>
To: anand kumar <[email-masked]>
Sent: July 17, 2000 1:24:21 PM GMT
Subject: Re: [Help with toolchain]

Hi Anand

I've downloaded the SRPMS already, but could you do me a favor and describe the
high level steps required to do this.

I.e.
    1- Install the RPM
    2- uncompress the source
    3- ./configure --target=arm-linux  --prefix=/skiff/local/
    4- make
    5- ?? Do I copy the include from the source to the toolchain include dir ?
    6-  Any other steps ?

Thanks

anand kumar wrote:

> You have to get the sources/binaries(ARM) from netwinder.org/allrpms.htm
> and include it.
> Note:ARM Binaries may not be compatible for your needs.I suggest you get the
> sources and cross-compile it yourself using the toolchain.
>
> cheers
> anand
>
> Hugues Belanger <[email-masked]> wrote:
>
> > Hi All,
> >
> > Forgive my ignorance, but I need a little help to get me going on my
> porting
> > project....
> >
> > I've down loaded the ARM toolchain from handhleds.org, patched configured
> and
> > compile a kernel, manage to get all the base libs stripped, compiled Busybox
> and
> > Tinylogin... but now "ae" is complaning the -ltermcap -lcurses are
> missing...
> > I'm assuming that I need to had these libs to my tool chain RIGHT ?
> >
> > and if so, how do I do that ?
> >
> > thanks
> >
> > Hugues Belanger
>
> unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
> ++        Please use [email-masked] for           ++
> ++                        kernel-related discussions.                      ++
>
> ____________________________________________________________________
> Get free email and a permanent address at http://www.netaddress.com/?N=1
>
> unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
> ++        Please use [email-masked] for           ++
> ++                        kernel-related discussions.                      ++

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for           ++
++                        kernel-related discussions.                      ++

______________________________________________
FREE Personalized Email at Mail.com
Sign up at http://www.mail.com/?sr=signup

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for           ++
++                        kernel-related discussions.                      ++